Package wx :: Class FileDataObject

[frames | no frames]

## Type FileDataObject

      object --+
               |
      DataObject --+
                   |
    DataObjectSimple --+
                       |
                      FileDataObject

wx.FileDataObject is a specialization of `wx.DataObjectSimple` for file names. The program works with it just as if it were a list of absolute file names, but internally it uses the same format as Explorer and other compatible programs under Windows or GNOME/KDE filemanager under Unix which makes it possible to receive files from them using this class.

Method Summary
DataObjectSimple | ``__init__`(self, format)` Constructor accepts the supported format (none by default) which may also be set later with `SetFormat`.
| ``AddFile`(self, filename)` Adds a file to the list of files represented by this data object.
[names] | ``GetFilenames`(self)` Returns a list of file names.

Property Summary
| `Filenames`: See `GetFilenames`
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self)
(Constructor)

Constructor accepts the supported format (none by default) which may also be set later with `SetFormat`.

  Parameters:
    `format`
    (type=DataFormat)

  Returns:
    DataObjectSimple
  Overrides:
    `wx.DataObjectSimple.__init__` (inherited documentation)

### AddFile(self, filename)

Adds a file to the list of files represented by this data object.

  Parameters:
    `filename`
    (type=String)

### GetFilenames(self)

Returns a list of file names.

  Returns:
    [names]

Property Details

### Filenames

See `GetFilenames`

  Get Method:
    `GetFilenames`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:18 2007 | http://epydoc.sf.net